Endpoint Examples

/meta

GET /meta

Get service metadata, including attribution text.

Code Examples

curl --request GET \
     --url https://api.lightcast.io/classification/meta \
     --header 'accept: application/json' \
     --header 'authorization: Bearer <Access_Token>'

Response Examples

{
  "data": {
    "attribution": {
      "title": "Classification API",
      "body": "This service provides categorization of incoming data using different models. It analyzes the payload and maps them to standardized taxonomy values."
    }
  }
}
{
  "message": "Verification failed"
}
{
  "title": "Forbidden",
  "status": 403,
  "detail": "insufficient scope"
}
{
  "title": "Method Not Allowed",
  "status": 405,
  "detail": "unsupported method"
}
{
  "title": "Internal Server Error",
  "status": 500,
  "detail": "classification failed while executing request"
}